HsOpenSSL-0.11.7.9: Partial OpenSSL binding for Haskell

Safe Haskell | None
Language | Haskell2010

OpenSSL.EVP.Sign

Description

Message signing using asymmetric cipher and message digest algorithm. This is an opposite of OpenSSL.EVP.Verify.

Synopsis

- sign :: KeyPair key => Digest -> key -> String -> IO String
- signBS :: KeyPair key => Digest -> key -> ByteString -> IO ByteString
- signLBS :: KeyPair key => Digest -> key -> ByteString -> IO ByteString

# Documentation

sign Source #

Arguments

:: KeyPair key |
=> Digest | message digest algorithm to use
-> key | private key to sign the message digest
-> String | input string
-> IO String | the result signature

Deprecated: Use signBS or signLBS instead.

``sign`` generates a signature from a stream of data. The string must not contain any letters which aren't in the range of U+0000 - U+00FF.

signBS Source #

Arguments

:: KeyPair key |
=> Digest | message digest algorithm to use
-> key | private key to sign the message digest
-> ByteString | input string
-> IO ByteString | the result signature

``signBS`` generates a signature from a chunk of data.

signLBS Source #

Arguments

:: KeyPair key |
=> Digest | message digest algorithm to use
-> key | private key to sign the message digest
-> ByteString | input string
-> IO ByteString | the result signature

``signLBS`` generates a signature from a stream of data.